package de.hottis.MeasurementCollector;

import java.util.Properties;

public class MeasurementCollector {
	static final String PROPS_FILENAME = "measurementCollector.props";
	
	
	public static void main(String[] args) throws Exception {
		System.out.println("MeasurementCollector starting");
		
		final Properties config = new Properties();
		config.load(MeasurementCollector.class.getClassLoader().getResourceAsStream(PROPS_FILENAME));
		
		MqttReceiver mqttReceiver = new MqttReceiver(config);
		mqttReceiver.connect();

		TestParser testParser = new TestParser();
		mqttReceiver.registerParser(testParser);
		
		MBusParser mbusParser = new MBusParser();
		mqttReceiver.registerParser(mbusParser);
		
	}
		
}
